#!/bin/sh
#
# Copyright (c) 2026 neoche contributors
# This program and the accompanying materials are made
# available under the terms of the Eclipse Public License 2.0
# which is available at https://www.eclipse.org/legal/epl-2.0/
#
# SPDX-License-Identifier: EPL-2.0
#

set -e

echo "[INFO] source layout:"
ls -d /neovim-linux-* 2>&1

cp -r /neovim-linux-* /neovim/

mkdir -p /neovim/bin
cp /neovim-bin/* /neovim/bin/

cp /entrypoint-volume.sh /neovim/
cp /bootstrap-distro.sh /neovim/

echo "[INFO] files copied to shared volume:"
ls -la /neovim
